For the complete documentation index, see llms.txt. This page is also available as Markdown.

SSH Key

get

SSH key Resource Fields

Field

id

user

title

public_key

created_at


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/user__has__public_key
GET /v7/user__has__public_key HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
post/v7/user__has__public_key
POST /v7/user__has__public_key HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get/v7/user__has__public_key(<ID>)
GET /v7/user__has__public_key(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
delete/v7/user__has__public_key(<ID>)
DELETE /v7/user__has__public_key(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?